
QGIS Application - Bug report #11746

Vertical lines appear as artifacts when map has lots of layers turned on.

2014-11-26 08:06 AM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19979

Description

I've been noticing on Windows (haven't seen this problem in Linux), is that for maps that have lots of layers (50+) vertical lines start to

appear from various layers. Always random and doesn't affect specific layers or different scales.

This happens to mostly to lines and polygons. Not sure if it's relevant but the layers are from a PostGIS database.

Feature simplification is turned off, tried testing with multi-core rendering toggled on/off as well.

Even though layers are turned on, most are scale based.

Installed QGIS 2.6 with OSGeo4W installer.

Related issues:

Related to QGIS Application - Bug report # 11441: Parallel multi-core renderi... Closed 2014-10-19

Associated revisions

Revision f7829dbd - 2017-12-28 08:51 PM - Ismail Sunni

Put X field above Y field in Delimited Text dialog. Fix #11746.

History

#1 - 2014-11-26 01:14 PM - Giovanni Manghi

- Category set to Map Canvas

#2 - 2015-01-13 08:15 AM - Donovan Cameron

Been doing some more testing and it looks like it doesn't matter how many layers are in the project.

Even a single layer will do this when the "Render layers in parallel using many CPU cores" option is enabled.

Disabling that option fixes the issue.

Or reducing the number of cores used (on an 8 core Intel CPU i7) to 3 or less seems to reduce the artifacts. But they do appear randomly.

And this is only observed on Windows 7 and 8.1 x64 using the OSGeo4W installer. Haven't tested with standalone builds.

#3 - 2015-11-25 10:02 AM - Donovan Cameron

2025-04-27 1/5



Looks like it doesn't have anything to do with the amount of layers and it's only on Windows (7 and 8.1 64-bit) from OSGeo4W.

Tested on Arch Linux and can't reproduce there, but those are daily builds from the 2_12 branch.

So on Windows, we're able to reproduce the issue by adding a couple layers (from PostgreSQL 9.4.5 and PostGIS 2.2.0) in EPSG:3005 (BC Albers), then

enabling OTF to something like EPSG:26910.

Then once we start panning and zooming the vertical lines appear like in the screenshot originally attached.

I'll test QGIS Master on Windows from the OSGeo4W installer and report back =)

Turning off multi-core rendering will reduce the artifacts and frequency, but not entirely.

#4 - 2015-11-25 02:53 PM - Donovan Cameron

Seeing the same rendering issues in Master (2.13.0, 3e61891) and Current Release (2.12.0, cd9d645) on Windows from OSGeo4W.

I can add a few layers in EPSG:3005, then turn OTF on to anything like EPSG:26910 and vertical lines appear.

#5 - 2015-11-25 04:38 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you share your data? Has it got Z/M coordinates?

#6 - 2015-11-25 05:28 PM - Donovan Cameron

Some of the most culprit layers can be obtained from public FTPs in BC.

Large files though (they're province wide), and I've uploaded them to PostGIS databases using gdal forcing 2D with '-dim 2' because no layers contain

z-values but some layers will be used for topology (routing) later, but currently no M values.

Invalid geometries have been repaired too.

Road Network

ftp://ftp.geobc.gov.bc.ca/sections/outgoing/bmgs/DRA_Public/dgtl_road_atlas.gdb.zip (256 MB)

Fresh Water Atlas

ftp://ftp.geobc.gov.bc.ca/sections/outgoing/bmgs/FWA_Public/FWA_BC.gdb.zip (3.5 GB)

The Fresh Water Atlas has a good mix of layers that have different types of geometries like lakes/rivers (polygon), stream network (line), wetland

(polygon), etc. Load at least those 3 layers (and the road network mpar layer) to see the vertical lines. These layers seem to be doing it the most (maybe it's

because they have the most nodes?).

#7 - 2015-11-30 12:34 PM - Donovan Cameron

I'm able to reproduce it easily now =)

I add the Digital Road Atlas (layer that ends in mpar) which is in EPSG:3005.

Then I add some layers from ftp://ftp2.cits.rncan.gc.ca/pub/geott/frameworkdata/hydrology/cartographic/canada/canaddrcarto_1m_v6-0.shp.zip (94.4

MB) which are some water course and body layers but in EPSG:4269 so that turns OTF on (projecting to EPSG:3005).
Then I can see the vertical lines from the water course and body layers.

This means you might not have to download the FWA dataset to test it out.

#8 - 2015-12-21 01:11 AM - Giovanni Manghi

- File 11746.png added

Donovan Cameron wrote:

I'm able to reproduce it easily now =)

I add the Digital Road Atlas (layer that ends in mpar) which is in EPSG:3005.

Then I add some layers from ftp://ftp2.cits.rncan.gc.ca/pub/geott/frameworkdata/hydrology/cartographic/canada/canaddrcarto_1m_v6-0.shp.zip

(94.4 MB) which are some water course and body layers but in EPSG:4269 so that turns OTF on (projecting to EPSG:3005).

Then I can see the vertical lines from the water course and body layers.

This means you might not have to download the FWA dataset to test it out.

no problems here under Windows 7/QGIS master, see attached image

You can also want to test the linked project + data (to avoid having to download that big datasets referred above).

https://www.dropbox.com/s/dlphmmqpjvb0xwe/test_11746.zip?dl=0

#9 - 2016-01-06 08:55 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback, please reopen of necessary.

#10 - 2016-01-07 11:07 AM - Donovan Cameron

- File vertical_lines_noplugins_nocustomization.png added

Thanks for testing Giovanni.

I've uploaded something similar in 7z and zip - both the same and with the full datasets, but with a project file like yours.

https://dl.dropboxusercontent.com/u/33592962/outgoing/qgis/qgis_vertical_lines.zip (120MB)

https://dl.dropboxusercontent.com/u/33592962/outgoing/qgis/qgis_vertical_lines.7z (86MB)

I noticed the vertical lines are really coming out when there are only a couple layers and zoomed out. I attached an image.

Or if there are lots of layers, when zoomed in.

I loaded the project in QGIS and QGIS Master (installed from OSGeo4W) using the --noplugins --nocustomization options to be sure it wasn't a rogue
plugin or customization.

Getting the same result on both Windows 8.1/7 64bit.

Linux is working great where I don't see any artefacts, but there are lots of "Warnings" in the console.

Warning: Could not resolve property : linearGradient4548

...

#11 - 2016-01-07 11:07 AM - Donovan Cameron

- Status changed from Closed to Reopened

Forgot to reopen so that's what this post is for.

#12 - 2016-01-07 11:49 AM - Giovanni Manghi

- Resolution deleted (worksforme)

#13 - 2016-01-19 02:49 PM - Donovan Cameron

I also noticed that the problem almost completely disappears when "Render layers in parallel using many CPU cores" is turned off.

There is still the rare vector off shoot problem from both lines and polygons but now it seems to only show one or two artefacts, and then a pan or refresh

gets rid of it for a good while.

I noticed it's also re-drawing the geometries.

So a line that was like ......... now looks like ..../\\....

So it's like it's moving nodes/vertices around for some reason.

#14 - 2016-01-23 10:00 AM - Martin Dobias

- Status changed from Reopened to Feedback

I believe this is a duplicate of #11441

Please see my comment here and test with newest version of proj4 library: #11441-15

#15 - 2016-03-24 08:40 AM - Donovan Cameron

- Status changed from Feedback to Closed

Hey Martin, seems to still exist in 2.14.0 (Essen), so I'll close this report because it is a duplicate and follow the progress on the other report.

Files
